<div class="ag_postwrap">
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">{$user.username} - ##Section preview##</span></h2>
</div>
<div class="ag_outerwrap">
<fieldset>
  <legend class="ag_color">##Section personal##</legend>
  <div class="ag_infldsetprofile">
	<dl>
	  <dt>##Username##: &nbsp;<span>{$user.username|escape}</span></dt>
	  {if $agora_config.o_prof_title eq '1'}
	  <dt>##Title##: &nbsp;{$user.title}</dt>
	  {/if}
	  {if $agora_config.o_prof_location eq '1'}
	  <dt>##Location##: &nbsp;
	    {if empty($user.location)}##Unknown##{else}{$user.location}{/if}
	  </dt>
	  {/if}
		{if $agora_config.o_usermap}
		  {if !empty($user.latitude) && !empty($user.longitude)}
	  <dt>
		{script src="http://maps.google.com/maps?file=api&amp;v=1&amp;key=`$agora_config.o_um_key`"}
		  {script src="js/gmap_profile.js"}
		  <div id="map" style="width: 400px; height: 300px"></div>
			<script type="text/javascript">
			//<![CDATA[
			window.addEvent('domready',function(e) {ldelim}
			gMapProfilePreview({$user.longitude},{$user.latitude},{$agora_config.o_um_default_zoom});
			{rdelim});
			//]]>
			</script>
	  </dt>
		  {/if}
		{/if}
	  {if $agora_config.o_prof_website eq '1'}
	  <dt>##Website##: &nbsp;<span class="ag_good_link"><a href="{$user.url}">{$user.url}</a></span>&nbsp;</dt>
	  {/if}
	  {if $agora_config.o_pms_enabled && !$user.is_guest && !$agora_user.is_guest}
	  <dt>##PM##:&nbsp;<span class="ag_good_link"><a href="{url task=pms page=compose send_to=$user.id}">##Quick message##</a></span></dt>
	  {/if}
	{*  <dt>##E-mail##: &nbsp;<span class="ag_good_link"><a href="mailto:{$user.email}">{$user.email}</a></span></dt> *}
	  {if $agora_config.o_prof_gender eq '1'}
	  <dt>##Gender##: &nbsp;{if empty($user.gender)}##Unknown##{elseif $user.gender eq 1}##Gender male##{else}##Gender female##{/if}&nbsp;</dt>
	  {/if}
	  {if $agora_config.o_prof_dob eq '1'}
	  <dt>##Birthday##: &nbsp;{if !empty($user.birthday)}{$user.birthday}{else}##Unknown##{/if}&nbsp;</dt>
	  {/if}
	  {if $agora_config.o_prof_interests eq '1'}
	  <dt>##Interests##: &nbsp;{$user.interests}&nbsp;</dt>
	  {/if}
	  {if $agora_config.o_prof_about eq '1'}
	  <dt>##aboutme##: &nbsp;{$user.aboutme}&nbsp;</dt>
	  {/if}
	</dl>
  </div>
</fieldset>
{if $agora_config.o_prof_messaging eq '1'}
<fieldset>
  <legend class="ag_color">##Section messaging##</legend>
  <div class="ag_infldsetprofile">
	<dl>
	  <dt>##Jabber##: &nbsp;{if !empty($user.jabber)}{$user.jabber|escape}{else}##Unknown##{/if}</dt>
	  <dt>##ICQ##: &nbsp;{if !empty($user.icq)}{$user.icq|escape}{else}##Unknown##{/if}</dt>
	  <dt>##MSN##: &nbsp;{if !empty($user.msn)}{$user.msn|escape}{else}##Unknown##{/if}</dt>
	  <dt>##AOL IM##: &nbsp;{if !empty($user.aim)}{$user.aim|escape}{else}##Unknown##{/if}</dt>
	  <dt>##Yahoo##: &nbsp;{if !empty($user.yahoo)}{$user.yahoo|escape}{else}##Unknown##{/if}</dt>
	  <dt>##XFire##: &nbsp;{if !empty($user.xfire)}{$user.xfire|escape}{else}##Unknown##{/if}</dt>
	  <dt>##Skype##: &nbsp;{if !empty($user.skype)}{$user.skype|escape}{else}##Unknown##{/if}</dt>
	</dl>
  </div>
</fieldset>
{/if}
<fieldset>
  <legend class="ag_color">##Section personality##</legend>
  <div class="ag_infldsetprofile">
	<dl>
	  {if $agora_config.o_avatars == '1'}
	  <dt>##Avatar##</dt>
	  <dt><img src="{$user.avatar}" {$user.avatar_size}/></dt>
	  {/if}
	  {if $agora_config.o_prof_sig eq '1'}
	  <dt>##Signature##: </dt>
	  <dt>
	  {if $user.signature}{$user.signature}
	  {else}##No sig##
	  {/if}
	  {/if}
	  </dt>
	</dl>
  </div>
</fieldset>
<fieldset>
  <legend class="ag_color">##User activity##</legend>
  <div class="ag_infldsetprofile">
    <dl>
	  <dt>##Posts##: &nbsp;
	  {if $agora_config.o_show_post_count}
	    {$user.num_posts}
	  {/if}
{* TODO: ACL search permissions here*}			  &nbsp;
	  {if $user.g_search}
	    <a href="{url task=search action=show_user user_id=$user.id}">##Show posts##</a>;
	  {/if}
	  </dt>
	  <dt>##Last post##: &nbsp;{$user.last_post|agora_date}</dt>

	  <dt>##Registered##: &nbsp;{$user.registered|agora_date}</dt>
	</dl>
  </div>
</fieldset>
{ if (($agora_user.is_admin > 0 ) or ($agora_user.is_moderator > 0 )) }
<fieldset>
    <legend class="ag_color">##Moderator Legend##</legend>
    <div class="ag_infldsetprofile">
        <strong>##Manage User Warnings##</strong>
        <div id="vf" class="ag_tablewrap">
        <table>
            <thead>
                <tr>
                    <th class="ag_column">##Warning message##</th>
                    <th class="ag_column">##Points##</th>
                    <th class="ag_column">##Posted##</th>
                    <th class="ag_column">##Expire##</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$warnings item=warning}
                <tr>
                    <td class="ag_column1">{$warning.default_message} : {$warning.message}</td>
                    <td class="ag_column1">{$warning.points}</td>
                    <td class="ag_column1">{$warning.posted|agora_date}</td>
                    <td class="ag_column2">{$warning.expire|agora_date}</td>
                </tr>
                {/foreach}
            </tbody>
        </table>
        </div>
        <span class="ag_good_link">
            <a href="{url task=profile page=personal action=add_warning type=clean user_id=$user.id}" class="modal" rel="{literal}{handler: 'iframe', size: {x: 640, y: 480}}{/literal}">
                ##Add warning##
            </a>
        </span><br /><br />
        {if $user.banned}
            <strong>##User banned##</strong> ({$ban.message})<br/>
            ##Ban will expire at ## {if $ban.expire}{$ban.expire|agora_date}{else}##never##{/if}<br/>
        {/if}
        <span class="ag_good_link">
            <strong>
                {if $user.banned}
                    <a href="{url task=profile page=personal action=unban user_id=$user.id}">##UnBan User##</a>
                {else}
                    <a href="{url task=profile page=personal action=set_ban user_id=$user.id type=clean}" class="modal" rel="{literal}{handler: 'iframe', size: {x: 640, y: 480}}{/literal}">##Ban User##</a>
                {/if}
            </strong>
        </span>
    </div>
</fieldset>
{/if}
</div>
</div>