<?php

if ( !( defined( '_VALID_CB' ) || defined( '_JEXEC' ) || defined( '_VALID_MOS' ) ) ) {
    die( 'Direct Access to this location is not allowed.' );
}

function cbAgoraDateFormat()
{
    global $_CB_database;

    static $dateformat; //static to avoid many queries to database
    
    if(empty($dateformat)) {
	    $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_date_format'";
	    $_CB_database->setQuery( $query );
	    $row = $_CB_database->loadAssoc();
	    $dateformat = $row['conf_value'];
    }
    return $dateformat;    
}

function cbAgoraTimeFormat()
{
    global $_CB_database;
    
    static $timeformat; //static to avoid many queries to database
    
    if(empty($timeformat)) {
	    $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_time_format'";
	    $_CB_database->setQuery( $query );
	    $row = $_CB_database->loadAssoc();
	    $timeformat = $row['conf_value'];
    }
    return $timeformat;    
}

function cbAgoraGMaps()
{
    global $_CB_database;
    static $gmaps;
    
    if(empty($gmaps)) {
        $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_um_key'";
        $_CB_database->setQuery( $query );
        $row = $_CB_database->loadAssoc();
        $gmaps['key'] = $row['conf_value'];
        
        $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_um_default_zoom'";
        $_CB_database->setQuery( $query );
        $row = $_CB_database->loadAssoc();
        $gmaps['def_zoom'] = $row['conf_value'];
        
        $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_um_default_lat'";
        $_CB_database->setQuery( $query );
        $row = $_CB_database->loadAssoc();
        $gmaps['def_lat'] = $row['conf_value'];
        
        $query = "SELECT * FROM #__agora_config WHERE `conf_name`= 'o_um_default_lng'";
        $_CB_database->setQuery( $query );
        $row = $_CB_database->loadAssoc();
        $gmaps['def_lng'] = $row['conf_value'];
    }
    return $gmaps;
}

function cbAgoraGetUser($josUserId)
{
    global $_CB_database;
    
    static $agoraUser; //static to avoid many queries to database
    
    if(empty($agoraUser)) { 
        $query = 'SELECT * FROM #__agora_users WHERE `jos_id`='.$josUserId;
        $_CB_database->setQuery( $query );      
        $agoraUser = $_CB_database->loadAssoc();
    }
    
    /*foreach($agoraUser as &$value) {
        if( empty($value) )
            $value = "Unknown";
    }*/
    
    return $agoraUser;
}

function cbAgoraMessagingSection($user)
{
    $return = null;
    $return .= "<p>Jabber:\t" . $user['jabber'] . "</p>\n";
    $return .= "<p>ICQ:\t" . $user['icq'] . "</p>\n";
    $return .= "<p>MSN:\t" . $user['msn'] . "</p>\n";
    $return .= "<p>AOL IM:\t" . $user['aim'] . "</p>\n";
    $return .= "<p>Yahoo:\t" . $user['yahoo'] . "</p>\n";
    $return .= "<p>XFire:\t" . $user['xfire'] . "</p>\n";
    $return .= "<p>Skype:\t" . $user['skype'] . "</p>\n";    
    return $return;        
}

function cbAgoraFilter($string)
{
    global $_CB_database;
    return $_CB_database->Quote(JFilterInput::clean($string));
}

?>
