<?php
/**
* @version $Id: mod_agora_latest_basic March 24, 2009  
* @copyright Copyright (C) JoomlaMe Team 2009. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, 
* visit www.joomlame.com
*/
defined('_JEXEC') or die('Restricted access');

class modAgoraLatestBasicHelper {
	
	function stripBBCode($mess_text) 
	{
		$mess_text = preg_replace('#\[quote(.*?)\[/quote\]#si', '', $mess_text);
		return preg_replace('|[[\/\!]*?[^\[\]]*?]|si', '', $mess_text);
	}

	function tradeQuote($mess_text) 
	{
		$mess_text = str_replace('"', '\'', $mess_text);
		return $mess_text;
	}

	function make_agora_lnk ($author, $agora_user, $agora_Itemid) 
	{ 
			if (($agora_user->id) && ($agora_user->title == '')) {
				$agora_user->title = JText::_( 'MEMBER' );
			}
			$box  =  '<strong>'. $agora_user->title ."</strong><br>";
			$box .= JText::_( 'TOTAL POSTS' ).' '. $agora_user->num_posts .'<br>';
			$box .= JText::_( 'REPUTATION' ). ' N/A<br>';
			
			$authorLnk = "<a href=\"index.php?option=com_agora&amp;task=profile&amp;user_id="
			.$agora_user->id. "&amp;Itemid=" .$agora_Itemid. "\"";
			
			$authorLnk .= "class= \"hasTip\" title=\" Go To ". $author . "'s Profile::\"";
			$authorLnk .= ">". $author."</a>";
			
			return $authorLnk;
	}		

	function get_avatar_path($db)  
	{
		$query = "SELECT conf_value FROM #__agora_config WHERE conf_name='o_avatars_dir'";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function get_agora_avatar($agora_userid, $params, $avatar_path )
	{
				
				$avatar_width  = $params->get( 'avatar_size' );
				$avatar_height = $params->get( 'avatar_size');
				$avatar_gif    = $avatar_path .'/'.$agora_userid.'.gif';
				$avatar_jpg    = $avatar_path .'/'.$agora_userid.'.jpg';
				$avatar_png    = $avatar_path .'/'.$agora_userid.'.png';
			
			if (file_exists($avatar_gif)) {
					$agora_avatar = '<img src="'.JURI::base().$avatar_path .'/'.$agora_userid.'.gif"  height="30" width="30" align="middle" />';
			} 
			else if (file_exists($avatar_jpg)) {
					$agora_avatar = '<img src="'.JURI::base().$avatar_path .'/'.$agora_userid.'.jpg" height="30" width="30" align="middle" />';
			} 
			else if (file_exists($avatar_png)) {
					$agora_avatar = '<img src="'.JURI::base().$avatar_path .'/'.$agora_userid.'.png" height="30" width="30" align="middle" />';
			} 
			else {
					$agora_avatar = '<img src="'.JURI::base().'components/com_agora/img/pre_avatars/noavatar.jpg" width="30" height="30" />';
			}
			
			return $agora_avatar ;
	}

	function format_time_module_agora($timestamp, $date_only = false)
	{
		GLOBAL $time_zone;
		if ($timestamp == '')
			return '';
	
		$diff = ($time_zone) * 3600;
		$timestamp += $diff;
		$now = time();
		$date = date('M.d.y', $timestamp);
		$today = date('d.m.Y', $now+$diff);
		$yesterday = date('d.m.Y', $now+$diff-86400);
		if ($date == $today)
			$date = JText::_( 'Today' );
		else if ($date == $yesterday)
			$date = JText::_( 'Yesterday' );
		if (!$date_only)
			return $date.' '.date('H:i:s', $timestamp);
		else
			return $date;
	}

	function get_itmeid($db)
	{
		$query = "SELECT id FROM #__menu WHERE link='index.php?option=com_agora'";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function get_agoraid($db, $jos_id)
	{
			$query = "SELECT id FROM #__agora_users WHERE jos_id =" .$jos_id ;
			$db->setQuery( $query);	
			return $db->loadResult();
	}
	
	function get_allowedforums ($db, $auser_id)
	{
				if ($auser_id != 0) {  

			  $query =      "SELECT forum_id".
							" FROM #__agora_group_forum AS group_forum".
							" INNER JOIN #__agora_user_group AS user_group".
							"  ON user_group.group_id = group_forum.group_id".
							"  AND user_group.role_id = group_forum.role_id".
							" INNER JOIN #__agora_permissions AS permissions".
							"  ON permissions.id = group_forum.access_id".
							" WHERE user_group.user_id = ". $auser_id .
							" AND permissions.read = 1";
			$db->setQuery( $query);
			
			return $db->loadResultArray();
		} 
		else 
		{
			  $query =      "SELECT forum_id".
							" FROM #__agora_group_forum AS group_forum".
							" INNER JOIN #__agora_permissions AS permissions".
							"  ON permissions.id = group_forum.access_id".
							" WHERE group_forum.role_id = 1".
							" AND permissions.read = 1";
							
			$db->setQuery( $query);
			
			return $db->loadResultArray();
		}

	}
	
	function get_forumquery($post_option,$user,$allowedforums,$options_id,$number)
	{
		if($post_option == 1) // Include Cat
		{
				$query =	"SELECT #__agora_topics.num_replies as replies,".
						"#__agora_topics.id,#__agora_topics.last_post_id,#__agora_topics.subject,".
						"#__agora_topics.last_poster,#__agora_topics.last_post ,#__agora_posts.message ".
						"FROM #__agora_forums INNER JOIN #__agora_topics ON (#__agora_forums.id = #__agora_topics.forum_id)".
						" INNER JOIN #__agora_posts ON (#__agora_topics.last_post_id = #__agora_posts.id)";
						
						if (($user->usertype != 'Super Administrator') && ($user->usertype != 'Administrator')) {
								$query .= "WHERE (#__agora_forums.id IN ('" .$allowedforums. "')) AND (#__agora_forums.cat_id IN ('".$options_id."'))";
							}
							else {
								$query .= "WHERE #__agora_forums.cat_id IN ('".$options_id."')";
							}
						
			$query .=	"ORDER BY #__agora_topics.last_post DESC LIMIT $number";			
						
		}
		else if($post_option == 2) // Exclude Cat
		{
			
			$query =	"SELECT #__agora_topics.num_replies as replies,".
						"#__agora_topics.id,#__agora_topics.last_post_id,#__agora_topics.subject,".
						"#__agora_topics.last_poster,#__agora_topics.last_post,#__agora_posts.message ".
						"FROM #__agora_forums INNER JOIN #__agora_topics ON (#__agora_forums.id = #__agora_topics.forum_id)".
						" INNER JOIN #__agora_posts ON (#__agora_topics.last_post_id = #__agora_posts.id)";
						
						if (($user->usertype != 'Super Administrator') && ($user->usertype != 'Administrator')) {
								$query .= "WHERE (#__agora_forums.id IN ('" .$allowedforums. "')) AND (#__agora_forums.cat_id NOT IN ('".$options_id."'))";
							}
							else {
								$query .= "WHERE #__agora_forums.cat_id NOT IN ('".$options_id."')";
							}
						
			$query .=	"ORDER BY #__agora_topics.last_post DESC LIMIT $number";			
						
		}
		else if($post_option == 3) // Include Forum
		{
			$query =	"SELECT #__agora_topics.num_replies as replies,".
						"#__agora_topics.id,#__agora_topics.last_post_id,#__agora_topics.subject,".
						"#__agora_topics.last_poster,#__agora_topics.last_post,#__agora_posts.message  ".
						"FROM #__agora_forums INNER JOIN #__agora_topics ON (#__agora_forums.id = #__agora_topics.forum_id)".
						" INNER JOIN #__agora_posts ON (#__agora_topics.last_post_id = #__agora_posts.id)";
						
						if (($user->usertype != 'Super Administrator') && ($user->usertype != 'Administrator')) {
								$query .= "WHERE (#__agora_forums.id IN ('" .$allowedforums. "')) AND (#__agora_forums.id IN ('".$options_id."'))";
							}
							else {
								$query .= "WHERE #__agora_forums.id IN ('". $options_id. "') ";
							}
						
			$query .=	"ORDER BY #__agora_topics.last_post DESC LIMIT $number";			
						
		}
		else if($post_option == 4) //Exclude forum
		{
			$query =	"SELECT #__agora_topics.num_replies as replies,".
						"#__agora_topics.id,#__agora_topics.last_post_id,#__agora_topics.subject,".
						"#__agora_topics.last_poster,#__agora_topics.last_post,#__agora_posts.message ".
						"FROM #__agora_forums INNER JOIN #__agora_topics ON (#__agora_forums.id = #__agora_topics.forum_id) ".
						" INNER JOIN #__agora_posts ON (#__agora_topics.last_post_id = #__agora_posts.id)";
						
						if (($user->usertype != 'Super Administrator') && ($user->usertype != 'Administrator')) {
								$query .= "WHERE (#__agora_forums.id IN ('" .$allowedforums. "')) AND (#__agora_forums.id NOT IN ('".$options_id."'))";
							}
							else {
								$query .= "WHERE #__agora_forums.id NOT IN ('".$options_id."') ";
							}
						
			$query .=	"ORDER BY #__agora_topics.last_post DESC LIMIT $number";
			
		}
		else  // All posts
		{
			$query = 	"SELECT #__agora_topics.num_replies as replies,".
						"#__agora_topics.id,#__agora_topics.last_post_id,#__agora_topics.subject,".
						"#__agora_topics.last_poster,#__agora_topics.last_post,#__agora_posts.message ".
						"FROM #__agora_forums INNER JOIN #__agora_topics ON (#__agora_forums.id = #__agora_topics.forum_id)".
						" INNER JOIN #__agora_posts ON (#__agora_topics.last_post_id = #__agora_posts.id)";
										
							if (($user->usertype != 'Super Administrator') && ($user->usertype != 'Administrator')) {
								$query .= "WHERE #__agora_forums.id IN ('" .$allowedforums. "')";
							}
			$query .= 	"ORDER BY #__agora_topics.last_post DESC LIMIT $number";
		}
		
		return $query;
	}
	
	function renderLatest($db, $params, $item, $icon_path, $agora_path, $agora_Itemid, $avatar_path)
	{
		
		$query = " SELECT id, num_posts, gender, title FROM #__agora_users WHERE username='". $item->last_poster ."'";
		$db->setQuery($query);
		$agora_user = $db->loadObjectList();
		
		$output = array();
		foreach ($agora_user as $agora_user) {
			
			if (!isset($agora_user->id)) {
				$agora_user->id = 0;
				$agora_user->title = JText::_( 'GUEST' );
				$agora_user->num_posts = 0;
			}
	
		$thread = $item->subject;
		$length = strlen($thread);
		
		if ($length > $params->get('max_length',18 ))
		{
			$thread = JString::substr($thread, 0, $params->get('max_length',18 )).'...';
		}
		$output['subject'] = $thread;
		$message =  $item->message;
		$message = modAgoraLatestBasicHelper::stripBBCode($message);
		$message = modAgoraLatestBasicHelper::tradeQuote($message);
		$length = strlen($message);
		if ($length > 70)
		{
			$message = JString::substr($message, 0, 70).'...';
		}
		$output['icon'] = '';
		if ($params->get('message_icon')) {
			$output['icon'] = "<img src=\"".JURI::base(). $icon_path . "\" width=\"".$params->get('icon_width', 16)."\" height=\"".$params->get('icon_height', 16)."\" border=\"0\">";
		}
		
		$subject = "&nbsp;<a href=\"".JRoute::_($agora_path ."&task=topic&id=".$item->id."&p=".$item->last_post_id."#p".$item->last_post_id)." \" ";
	
		$subject .= "class= \"hasTip\"  title=\"".stripslashes($thread)."::".$message."\"";
	
		$subject .= ">".stripslashes($thread)." (".$item->replies.")"."</a><br/>";
		$output['subject'] = $subject;
		$output['avatar'] = '';
		if($params->get('avatar')) {
			$output['avatar'] = modAgoraLatestBasicHelper::get_agora_avatar($agora_user->id, $params, $avatar_path );
		}

		$output['author'] = '';
		if($params->get('name'))
		{
			if ($params->get('link_name')) {
				$link = modAgoraLatestBasicHelper::make_agora_lnk ($item->last_poster, $agora_user, $agora_Itemid);
			} else { $link = $item->last_poster; }
			
			$output['author'] = $link;
		}
		
		$output['datetime'] = '';
		if($params->get('time_date') == 1)
		{
			$output['datetime'] = modAgoraLatestBasicHelper::format_time_module_agora($item->last_post, $params->get('date_only') );
		}
	
		return $output;	
		}
	}
	
}