{script_def}
{literal}
	function image(url, mini_url)
	{
		var input = window.parent.document.getElementById('req_message');
		input.focus();
		if(typeof document.selection != 'undefined')/* --- For IE --- */
		{
			var range = document.selection.createRange();
			var insText = range.text;
			if(mini_url == url)
			{
				input.value += insText + '[img]' + url + '[/img]';
				if (url.length == 0)
				{
					range.move('character', -6);
				}
			}
			else if(mini_url != '' && mini_url != url)
			{
				input.value += insText + '[img]' + url + '[/img]';
				if (mini_url.length == 0 && url.length == 0)
				{
					range.move('character', -18);
				}
				else if (mini_url.length == 0 && url.length != 0)
				{
					range.move('character', -18  + url.length);
				}
				else if (mini_url.length != 0 && url.length == 0)
				{
					range.move('character', -17);
				}
			}
			else
			{
				input.value += insText + '[url=' + url + ']##text##[/url]';
				if (url.length == 0)
				{
					range.movestart('character', 5);
				}
				else
				{
					range.movestart('character', 5 + url.length + 1);
				}
			}
			range.select();
		}
		else if(typeof input.selectionStart != 'undefined') /* --- Browsers (FF) --- */
		{
			var start = input.selectionStart;
			var end = input.selectionEnd;
			var selText = input.value.substring(start, end);
			var pos;
			if(mini_url == url)
			{
				input.value = input.value.substr(0, start) + selText + '[img]' + url + '[/img]' + input.value.substr(end);
				if (url.length == 0)
				{
					pos = start + 5;
				}
				else
				{
					pos = start + 5 + url.length + 6;
				}
			}
			else if(mini_url != '' && mini_url != url)
			{
				input.value = input.value.substr(0, start) + selText + '[url=' + url + '][img]' + mini_url + '[/img][/url]' + input.value.substr(end);
				if (mini_url.length == 0 && url.length == 0)
				{
					pos = start + 5;
				}
				else if (mini_url.length == 0 && url.length != 0)
				{
					pos = start + 5;
				}
				else if (mini_url.length != 0 && url.length == 0)
				{
					pos = start + 5 + mini_url.length + 6;
				}
				else
				{
					pos = start + 5 + mini_url.length + 6 + url.length + 12;
				}
			}
			else
			{
				input.value = input.value.substr(0, start) + selText + '[url=' + url + ']##text##[/url]' + input.value.substr(end);
				if (url.length == 0)
				{
					pos = start + 5;
				}
				else
				{
					pos = start + 5 + url.length + 1;
				}
			}
			input.selectionStart = pos;
			input.selectionEnd = pos;
		}
		else /* --- Autres navigateurs --- */
		{
			var pos;
			var re = new RegExp('^[0-9]{0,3}$');
			while(!re.test(pos))
			{
				pos = prompt("insertion (0.." + input.value.length + "):", "0");
			}
			if(pos > input.value.length)
			{
				pos = input.value.length;
			}
			var insText = prompt("Veuillez taper le texte");
			input.value = input.value.substr(0, pos) + insText + '[img]' + url + '[/img]' + input.value.substr(pos);
		}
	}
{/literal}
{/script_def}

<div align="center"><h2 class="block2">##Upload_title_2##</h2></div>
<div class="box">
	<form method="post" action="{url task=upload action=add type=#}" enctype="multipart/form-data">
	<div class="inform">
		<fieldset>
			<legend>##upload_legend##</legend>
			<div class="infldset">
				<input type="file" id="upload" name="upload" />
				<label for="fichier_name">##upload_file_name##</label>
				<input type="text" id="upload_name" name="upload_name" />
			</div>
		</fieldset>
	</div>
	<p><input type="submit" name="submit" value="##submit##" /></p>
	</form>
</div>
<div align="center"><h2 class="block2">##upload_title_3##</h2></div>
<div class="box">
<!--	<form method="post" action="{url task=upload action=delete}" enctype="multipart/form-data">-->
		<div class="inform">
			<table width="93%" border="1" align="center" cellspacing="0" class="aligntop" cellpadding="5px">
				<thead>
					<tr>
						<th width="36" scope="row">##File name##</th>
						<th width="130" scope="row">##Preview##</th>
						<th width="311" scope="row">##Action##</th>
					</tr>
				</thead>
				<tbody>
					{foreach from=$uploads item=upload}
					<tr>
						<td>{$upload.name} [{$upload.size} Kb]</td>
						<td><img src="{$upload.mini}" /></td>
						<td>
							<input type="button" name="insert" value="##Insert##" onClick="image('{$upload.path}','{$upload.mini}'); window.parent.document.getElementById('sbox-window').close();"/>
							<input type="button" name="delete" value="##Delete##" onClick="window.location='{url task=upload action=delete type=# id=$upload.id}'"/>
						</td>
					</tr>
					{foreachelse}
					<tr>
						<td colspan="3">##no_uploads##</td>
					</tr>
					{/foreach}
				</tbody>
			</table>
		</div>
<!--	</form>-->
</div>
